[notmuch] [PATCH 2/3] add checking for zlib development libraries to configure script

2009-11-29 Thread Mikhail Gusarov
Twas brillig at 18:57:36 28.11.2009 UTC-05 when jrollins at finestructure.net did gyre and gimble: JGR> + sudo apt-get install libxapian-dev libgmime-2.4-dev JGR> libtalloc-dev libz-dev Proper fix is to fix libgmime-2.4.pc upstream to stop exposing -lz -- http://fossarchy.blogspot.com/

[notmuch] [PATCH 2/3] add checking for zlib development libraries to configure script

2009-11-29 Thread da...@tethera.net
Mikhail Gusarov wrote: >Twas brillig at 18:57:36 28.11.2009 UTC-05 when jrollins at finestructure.net >did gyre and gimble: > JGR> + sudo apt-get install libxapian-dev libgmime-2.4-dev > JGR> libtalloc-dev libz-dev >Proper fix is to fix libgmime-2.4.pc upstream to stop exposing -lz This is

[notmuch] [PATCH 2/3] add checking for zlib development libraries to configure script

2009-11-28 Thread Jameson Graef Rollins
--- configure | 14 +- 1 files changed, 13 insertions(+), 1 deletions(-) diff --git a/configure b/configure index ab28fa3..1010799 100755 --- a/configure +++ b/configure @@ -63,6 +63,15 @@ else errors=$((errors + 1)) fi +if printf 'int main(){return 0;}' | gcc -x c -lz -o